## texlive-base 2014.20141024

=== Makefile ===

all:
	texexec --passon="--shell-escape"  --once --pdf pgfplotstest
	for A in gnuplot/*.gnuplot; do gnuplot <$$A; done

=== regressiontests/Makefile ===
# This is a regression-test framework for tex.
#
# The idea is as follows:
#
# 1. there is a reference revision on which a unittest runs as expected.
# 2. there is a way to generate the reference image (to pdf and to png)
# 3. you can compile the actual image
# 4. you can "diff" the actual image and the reference (and view the difference)
# 5. you can create a log of the single results and diffs
#
# This makefile can do all of these steps.
#
# The references can be generated with
# >> make references
# References are stored in a sub-folder called "references". You can *REMOVE* this directory
# to clean references.
#
# References are compiled using different revisions of the code; they are checked out into /tmp. 
#
#
# HOW TO WRITE TESTS
# Simply write a minimal, self-contained .tex file (say, unittest_42.tex) in this directory. It can have multiple
# pages.
# 
# If a test contains \FIXIT, it is marked as "this test is known to be broken - test issue"
#
#
# If your example needs a specific reference revision, create a file <base>.checkoutreferencerev.sh which contains something
# like "git checkout 1.3.1" . It will be invoked to checkout the reference revision.
#
# If your example needs a specific command to translate it, create a file <base>.compile.sh which runs it. Its first argument will be the base file name (without .tex).
#
# Then, type "make unittest_42.diff" to create reference, actual, and difference.
#
# Typing 'make' will make all unittests (all *.tex files in this directory).
#  
# COMPILING TESTS
# 1. compile reference, actual, and diff:
# >> make unittest_polar_7.diff
# 2. compile reference only
# >> make references/unittest_polar_7.pdf
# 3. compile actual only
# >> make unittest_polar_7.pdf
#
# The makefile will avoid re-creation of test cases in order to allow concentrate on failures.
# If you want to remake tests, you can either type 
# >> make clean
# or you can use the (standard) make feature 
# >> make unittest_polar_7.diff -B
# which forces remake, even if modtimes are unchanged 
#
#
# SPECIALTIES:
# create a file unittest_*.diff.accepted containing accepted diff results 
# (in case you approved that they are "not an error"). 
# The file should contain what the failure-output of the 'make test.diff' target.

UNIT_SOURCES=$(wildcard unittest_*.tex)

UNIT_PDFS=$(UNIT_SOURCES:.tex=.pdf)
DIFF_MEASURES=$(UNIT_SOURCES:.tex=.diff)

# REQUIRES apcalc package ('calc' executable)
ACCEPTED_NORMALIZED_ERROR=5e-4
DIRECTORY_FOR_ACCEPTED_ERRORS=./pgfplotsUTaccepted

INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY=plotdata/risingdrop3d.png plotdata/plotgraphics3dsurf.png

# -------------------------------------------------
# stuff for references:
# allow dynamic creation of reference files. I have never used something else.
ENABLE_DYNAMIC_REFERENCES=1

STATISTICS=$$(ls unittest_*.pdf | wc -l)/$$(ls unittest_*.tex | wc -l) [F=$$(find -maxdepth 1 -name 'unittest_*.diff.png' | wc -l)]

UNIT_PDF_REFERENCES=$(UNIT_SOURCES:%.tex=references/%.pdf)
WORKING_DIR=$(shell pwd)
PGFPLOTS_GIT_BASEDIR=$(WORKING_DIR:source/latex/pgfplots/pgfplotstest/regressiontests=)
TMP_REPOSITORY=/tmp/pgfplots_copy
DEFAULT_REFERENCE_BRANCH:=$(shell git describe --tags HEAD)

PGF_CVS_PATH=~/code/tex/pgf
PGF_REFERENCE_PATH=$(PGF_CVS_PATH)
#PGF_REFERENCE_PATH=~/code/tex/pgf_2.10/tex
#PGF_REFERENCE_PATH=~/code/tex/pgf_3.0.0/tex

.PRECIOUS:  $(UNIT_SOURCES:%.tex=%.checkoutreferencerev.sh) $(UNIT_SOURCES:%.tex=%.compile.sh) $(UNIT_PDF_REFERENCES) $(UNIT_SOURCES:%.tex=%.pdf)

AUTO_INDENT_PIPE=2>&1 | sed -e 's/^/  /'
$(shell mkdir -p gnuplot references/gnuplot references/plotdata)
# -------------------------------------------------

.NOTPARALLEL:

# .PRECIOUS: $(UNIT_PNGS)

.PHONY: references pdf png  cleanX clean setupdirs

diff: $(DIFF_MEASURES) 

pdf: $(UNIT_PDFS) 

clean: cleanX
	rm -fr references 

# clean all except for references:
cleanX:
	rm -fr $(DIFF_MEASURES) $(UNIT_PDFS) unittest*-figure* unittest*.png $(DIRECTORY_FOR_ACCEPTED_ERRORS)

%.diff.png: %.diff
	@

%.diff: %.pdf references/%.pdf
	@echo "$<: diffing --> $@ ..."
	@./pdfdiff.sh $< references/$< $@
	@if [ "`cat $@`" = "0 (0)" ]; then \
		echo "  PASSED: no differences detected (removing superfluos diff-pngs)"; \
		rm -f $@.png $<.png $(DIRECTORY_FOR_ACCEPTED_ERRORS)/$@ $(DIRECTORY_FOR_ACCEPTED_ERRORS)/$@.png; # no need to keep the images (the latter for multi-page mode). \
	else \
		#echo "$<: found nonzero pixel differences `cat $@`."; \
		sed -e 's/.*(\(.*\)).*/\1/' < $@  > $@.normalized || exit 1; \
		NORMALIZED=`cat $@.normalized`; \
		rm -f $@.normalized; \
		calc -p "$$NORMALIZED < $(ACCEPTED_NORMALIZED_ERROR)" > $@.isaccepted || ( echo "calc invocation failed. Please ensure that apcalc package is installed."; exit 1 ); \
		if [ ! -f $@.accepted -a "`cat $@.isaccepted`" = "1" ]; then \
			echo "  PASSED: only approved differences `cat $@` detected and no *.accepted (less than $(ACCEPTED_NORMALIZED_ERROR); moving superfluos diff-pngs to $(DIRECTORY_FOR_ACCEPTED_ERRORS))"; \
			mkdir -p $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			mv $@.png $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			cp $@ $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
		elif [ -f $@.accepted -a "`cat $@`" = "`cat $@.accepted`" ]; then \
			echo "  PASSED: only manually approved differences `cat $@` detected (moving superfluos diff-pngs to $(DIRECTORY_FOR_ACCEPTED_ERRORS))"; \
			mkdir -p $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			mv $@.png $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			cp $@ $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
		else \
			echo "  FAILURE: found pixel differences for $<: " `cat $@`; \
			echo "  (if not a bug: 'echo \"`cat $@`\" > $@.accepted')"; \
			echo "  Call './displayDiff.sh $@.png' (see summarize of regressions.sh)"; \
			rm $@; # make sure it will be recomputed! \
			false; \
		fi; \
		CODE=$$?; \
		rm -f $@.isaccepted; \
		exit $$CODE; \
	fi
		


#	convert $< -append $@
#	@diff $@ references/$@; \
#	if [ ! $$? -eq 0 ]; then \
#		echo 'convert "$@" "references/$@" -compose difference -composite -colorspace gray miff:- | display' > $(@:.png=.regression.sh); \
#		echo "echo $@" >> regressions.sh; \
#		echo "sh $(@:.png=.regression.sh)" >> regressions.sh; \
#		echo "$@ WAS UNEXPECTED. See regressions.sh"; \
#		touch -t 01010000 $@; # make sure its older MMDDHHSS\
#		false;\
#	fi
	
		

references: $(UNIT_PDF_REFERENCES)

%.checkoutreferencerev.sh:
	@if [ ! -f $@ ]; then pwd; echo "generating $@ (with $(DEFAULT_REFERENCE_BRANCH))..."; echo "git checkout $(DEFAULT_REFERENCE_BRANCH)" > $@ || exit 1; fi

ifeq ($(ENABLE_DYNAMIC_REFERENCES),1)

references/%.pdf: %.tex %.checkoutreferencerev.sh %.compile.sh
	@echo "$<: generating $@"; \
	REFERENCE_SCRIPT=$(<:.tex=.checkoutreferencerev.sh);\
	#echo "  checking out reverence revision to $(TMP_REPOSITORY)..."; \
	if [ ! -d $(TMP_REPOSITORY) ]; then \
		cd $(dir $(TMP_REPOSITORY)) || exit 1; \
		git clone $(PGFPLOTS_GIT_BASEDIR) $(notdir $(TMP_REPOSITORY)) || exit 1; \
	fi; \
	cd $(TMP_REPOSITORY) || exit 1; \
	git reset --hard >/dev/null 2>&1; \
	cat $(WORKING_DIR)/$$REFERENCE_SCRIPT $(AUTO_INDENT_PIPE); \
	sh $(WORKING_DIR)/$$REFERENCE_SCRIPT  1>/dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
		echo "CHECKOUT FAILED." $(AUTO_INDENT_PIPE); \
		echo "(cleaning $(TMP_REPOSITORY))..." $(AUTO_INDENT_PIPE); \
		rm -fr $(TMP_REPOSITORY); \
		exit 1; \
	fi
	@#./patch_repository.sh $(TMP_REPOSITORY)
	@cd references || exit 1;\
	export TEXINPUTS=.:..:$(TMP_REPOSITORY)/tex//:$(PGF_REFERENCE_PATH)/generic//:$(PGF_REFERENCE_PATH)/latex//:$(TEXINPUTS); \
	echo "export TEXINPUTS=$${TEXINPUTS}:\$$TEXINPUTS" $(AUTO_INDENT_PIPE); \
	echo "cd references && \"compile $<\" ..." $(AUTO_INDENT_PIPE); \
	# create *.diff.png -> this makes it much more visible that it failed: \
	bash ../$(<:.tex=.compile.sh) $(<:.tex=) 1>$(<:.tex=.log.all) 2>&1 || \
		( sh ../../scripts/compile_failed.sh "../$<" "$@" "\nPlease check $(<:.tex=.checkoutreferencerev.sh)" $(AUTO_INDENT_PIPE); exit 1 )

else
#disable dynamic reference (re-)creation:
references/%.pdf: %.tex 
	@if [ ! -f $@ ]; then echo "  REFERENCE IS MISSING AND CAN'T BE CREATED AUTOMATICALLY (ENABLE_DYNAMIC_REFERENCES=0)"; exit 1; fi

endif

# make sure this rule is AFTER references/%.pdf !
%.pdf: %.tex %.compile.sh $(INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY)
	@echo "$(STATISTICS) $@: recompiling $< ..."
	@rm -f $@; bash ./$(@:.pdf=.compile.sh) $(<:.tex=) 1>$(<:.tex=.log.all) 2>&1  || \
		( sh ../scripts/compile_failed.sh "$<" "$@" "" $(AUTO_INDENT_PIPE); exit 1 )

%.compile.sh:
	@if [ ! -f $@ ]; then echo "generating default $@ ..."; echo 'pdflatex -shell-escape -interaction batchmode -halt-on-error "$$@"' > $@; fi

# temporary links to graphics which are in the doc directory:
# see $(INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY)
plotdata/%: 
	cd plotdata && ln -fs ../../../../../../doc/latex/pgfplots/plotdata/$(notdir $@)

=== unittest/Makefile ===

UNITTESTS=$(wildcard unittest_*.tex)

RESULTS=$(UNITTESTS:.tex=.pdf)

all: $(RESULTS)

clean:
	rm -fr $(RESULTS)

%.pdf: %.tex %.compile.sh
	@echo "$@: recompiling $< ..."
	@rm -f $@; sh ./$(@:.pdf=.compile.sh) $(<:.tex=) >/dev/null 2>&1  || \
		( sh ../scripts/compile_failed.sh "$<" "$@" "" $(AUTO_INDENT_PIPE); exit 1 )

%.compile.sh:
	@if [ ! -f $@ ]; then echo "generating default $@ ..."; echo 'pdflatex -shell-escape -interaction batchmode -halt-on-error "$$@"' > $@; fi

=== texmf-dist/doc/latex/listings/Makefile ===
### Makefile ---
#
# This file generates files required to use the listings package.
#
# $Id: Makefile 152 2014-09-06 17:28:15Z j_hoffmann $
#
# (c) 2007 Brooks Moses
# (c) 2013 Jobst Hoffmann
#
# This file is distributed under the terms of the LaTeX Project Public
# License from CTAN archives in directory  macros/latex/base/lppl.txt.
# Either version 1.3 or, at your option, any later version.

# remember:
# $<: first element of list of dependees
# $^: list of (all) dependees
# $@: target

# formatting tools
LATEX = pdflatex
MAKEINDEX = makeindex
TEX = tex
# tarring options
ifneq "$(wildcard listings.version)" ""
include listings.version        # version and date of the package
endif
TAR_SRC = $(PACKAGE)-$(VERSION)_source.tar.gz
EXsvn = --exclude .svn --exclude auto --exclude contrib --exclude requests \
	--exclude support --exclude testing \
	--exclude *.gz --exclude *.txt

DISTRIBUTION_FILES = $(PACKAGE).pdf $(PACKAGE).dtx \
	$(PACKAGE).ins README Makefile \
	lstdrvrs.dtx lstdrvrs.ins lstdrvrs.pdf 


.SUFFIXES:                              # Delete the default suffixes
.SUFFIXES: .dtx .ins .pdf .sty          # Define our own suffix list

.PHONY: listings pdf pdf-devel tests all

listings: listings.sty

pdf: listings.pdf lstdrvrs.pdf

pdf-devel: listings-devel.pdf

all: listings pdf pdf-devel


listings.sty: listings.ins listings.dtx lstdrvrs.dtx
	$(TEX) $<

listings.pdf: listings.sty
	rm -f ltxdoc.cfg
	$(LATEX) ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist ${@:.pdf=}
	$(LATEX) ${<:.sty=.dtx}
	$(LATEX) ${<:.sty=.dtx}

listings-devel.pdf: listings.sty
	rm -rf ltxdoc.cfg
	echo "\AtBeginDocument{\AlsoImplementation}" > ltxdoc.cfg
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist ${@:.pdf=}
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	rm -rf ltxdoc.cfg

lstdrvrs.pdf: lstdrvrs.dtx
	rm -f ltxdoc.cfg
	$(LATEX) ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist lstdrvrs
	$(LATEX) ${<:.sty=.dtx}
	$(LATEX) ${<:.sty=.dtx}

## Testing targets
acm-tests:
	cd testing; make acm

bash-tests:
	cd testing; make bash

fortran-tests:
	cd testing; make fortran

gap-tests:
	cd testing; make gap

hansl-tests:
	cd testing; make hansl

llvm-tests:
	cd testing; make llvm

lua-tests:
	cd testing; make lua

vbscript-tests:
	cd testing; make vbscript

tests:
	cd testing; make all

## Clean targets
clean:
	-rm -f  *~ *.aux *.lof *.log *.lot *.tmp *.toc
	-rm -f *.idx *.ind *.glg *.glo *.gls *.ilg *.out
	-rm -f *.bbl *.blg *.brf

clean-results:
	-rm -f *.cfg *.pdf *.prf *.sty

realclean:  clean clean-results

### create packed files
tar-src:
	@$(MAKE) realclean; \
	sed -i -e "s+fileversion{[a-z0-9\.\-]*}+fileversion{$(VERSION)}+g" \
	    -e "s+filedate{[0-9/]*}+filedate{$(DATE)}+g" \
	    -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
		listings.dtx; \
	sed -i -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
	    -e "s+\[[0-9/]* [a-z0-9\.\-]* listings+[$(DATE) $(VERSION) listings+g" \
		lstdrvrs.dtx; \
	cd ..; tar $(EXsvn) -czvf $(PACKAGE)/$(TAR_SRC) $(PACKAGE)

tar-dist: $(DISTRIBUTION_FILES)
	@$(MAKE) realclean; \
	sed -i -e "s+fileversion{[a-z0-9\.\-]*}+fileversion{$(VERSION)}+g" \
	    -e "s+filedate{[0-9/]*}+filedate{$(DATE)}+g" \
	    -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
		listings.dtx; \
	sed -i -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
	    -e "s+\[[0-9/]* [a-z0-9\.\-]* listings+[$(DATE) $(VERSION) listings+g" \
		lstdrvrs.dtx; \
	$(MAKE) listings.pdf; \
	$(MAKE) lstdrvrs.pdf; \
	tar cfvz $(PACKAGE)-$(VERSION).tgz $^;

release:
	@echo "not implemented yet"

## Documentation target
help::
	$(info Usage:)
	$(info )
	$(info make [all]	generates listings.sty and [all] the .pdf versions)
	$(info $(empty)		(user/developer) of the documentation)
	$(info )
	$(info make <file name>)
	$(info $(empty)		creates the corresponding file denoted by <file name>)
	$(info )
	$(info make help	shows this help)
	$(info )
	$(info make tests	performs a little test suite)
	$(info )
	$(info make clean	removes all intermediate files created by a LaTeX run)
	$(info )
	$(info make clean-results)
	$(info $(empty)		removes .cfg, .sty, and .pdf files)
	$(info )
	$(info make realclean)
	$(info $(empty)		performs clean and clean-results)
	$(info )
	$(info make tar-src)
	$(info $(empty)		generates a tarred version of the current directory)
	$(info )
	$(info make tar-dist)
	$(info $(empty)		generates a distributable version of the listings)
	$(info $(empty)		package)
	$(info )
	$(info make release)
	$(info $(empty)		creates a new tagged version of the package based on)
	$(info $(empty)		the contents of listings.version and announcement.txt)
	@echo ""					# prevents message "nothing to do ..."

### Makefile ends here ---

=== texmf-dist/doc/pdftex/manual/Makefile ===
# $Id: Makefile 709 2014-04-04 16:53:17Z karl $
# Makefile for pdfTeX documentation.  Public domain.

mandir=manual
distdate=`date +%y%m%d`
distrev=`awk '/Id:/{print $$4; exit}' $(mandir)/pdftex-t.tex`

# Get version we're documenting from the \def in the manual.
pdftexversion=`sed -n 's,^.def.currentpdftex{\(.*\)},\1,p' manual/pdftex-t.tex`

distall=$(distnopdf) pdftex-a.pdf pdftex-l.pdf pdftex-s.pdf

distnopdf=pdftex-w.tex pdftex-t.txt pdftex-t.tex \
	pdftex-i.tex syntaxform.awk Makefile makefiles.cmd \
	pdftex-syntax.txt README ChangeLog

context = texexec --batchmode
# context does not have \setupoutput.
# texmfstart exits immediately.

default: all

all:	pdftex-a.pdf \
	pdftex-l.pdf \
	pdftex-s.pdf \
	pdftex-syntax.txt

booklet:	pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf

pdftex-a.pdf a:	pdftex-t.tex pdftex-t.txt
	$(context) --result=$@ $<

pdftex-l.pdf l:	pdftex-t.tex pdftex-t.txt
	$(context) --mode=letter --result=$@ $<

pdftex-s.pdf s:	pdftex-t.tex pdftex-i.tex
	$(context) --mode=screen --result=$@ $<

pdftex-b.pdf b:	pdftex-a.pdf
	$(context) --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--result=$@ $<

pdftex-b-e.pdf:	pdftex-a.pdf
	$(context) --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--pages=even --result=$@ $<

pdftex-b-o.pdf:	pdftex-a.pdf
	$(context) --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--pages=odd --result=$@ $<

pdftex-t.txt:	pdftex-w.pdf Makefile
	cat $< \
	| expand \
	| fmt -s -w36 \
	| env GREP_OPTIONS=--text grep . \
	| expand \
	| cat > $@

pdftex-w.pdf:	pdftex-w.tex
	pdftex $<

pdftex-syntax.txt:	pdftex-t.tex syntaxform.awk
	gawk -f syntaxform.awk $< > $@

# tar/zip including pdftex-a.pdf, pdftex-l.pdf, pdftex-s.pdf:

alltar:	$(distall)
	cd .. && tar cvjf $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev).tar.bz2 \
	$(patsubst %, $(mandir)/%, $(distall))

allzip:	$(distall)
	cd .. && zip $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev).zip \
	$(patsubst %, $(mandir)/%, $(distall))

# tar/zip without PDF files:

tar:	$(distnopdf)
	cd .. && tar cvjf $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev)-src.tar.bz2 \
	$(patsubst %, $(mandir)/%, $(distnopdf))
	ls -l *.tar.bz2

zip:	$(distnopdf)
	cd .. && zip $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev)-src.zip \
	$(patsubst %, $(mandir)/%, $(distnopdf))

clean:
	texutil --purge

allclean:
	- rm -f pdftex-a.pdf pdftex-l.pdf pdftex-s.pdf
	- rm -f pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf
	- rm -f pdftex-syntax.txt
	- rm -f pdftex-w.pdf pdftex-t.txt
	make clean

clobber: allclean

=== texmf-dist/source/fonts/fpl/Makefile ===
# Time-stamp: <2005-02-13 11:57:43 ralf> 
# Copyright 2005 Ralf Stubner
# See the file COPYING (GNU General Public License) for license
# conditions. 

FONTFORGE=/usr/bin/fontforge -script

SC_SOURCE=TeXPalladioL-SC.pe Palladio-SC.sfd pplrc9d-kern.afm
IT_SOURCE=TeXPalladioL-ItalicOsF.pe Palladio-ItalicOsF.sfd pplri9d-kern.afm
BD_SOURCE=TeXPalladioL-BoldOsF.pe Palladio-BoldOsF.sfd pplb9d-kern.afm
BI_SOURCE=TeXPalladioL-BoldItalicOsF.pe Palladio-BoldItalicOsF.sfd pplbi9d-kern.afm
SOURCE=$(SC_SOURCE) $(IT_SOURCE) $(BD_SOURCE) $(BI_SOURCE) URW-OtherSubrs.ps AddGPL AddException

all: fplrc8a.pfb fplrij8a.pfb fplbj8a.pfb fplbij8a.pfb

fplrc8a.pfb: $(SC_SOURCE)
	$(FONTFORGE) TeXPalladioL-SC.pe

fplrij8a.pfb: $(IT_SOURCE)
	$(FONTFORGE) TeXPalladioL-ItalicOsF.pe

fplbj8a.pfb: $(BD_SOURCE)
	$(FONTFORGE) TeXPalladioL-BoldOsF.pe

fplbij8a.pfb: $(BI_SOURCE) 
	$(FONTFORGE) TeXPalladioL-BoldItalicOsF.pe


dist: all
	rm -rf dist/
	mkdir -p dist/{type1,afm,pfm,source}
	cp README COPYING dist/ 
	cp fplrc8a.pfb fplrij8a.pfb fplbj8a.pfb fplbij8a.pfb dist/type1/
	cp fplrc8a.pfm fplrij8a.pfm fplbj8a.pfm fplbij8a.pfm dist/pfm/
	cp fplrc8a.afm fplrij8a.afm fplbj8a.afm fplbij8a.afm dist/afm/
	cp $(SOURCE) Makefile dist/source/ 
	cp README.source dist/source/README
	(cd dist; zip fpl.zip README COPYING {type1,afm,pfm,source}/*)

=== texmf-dist/source/latex/esk/Makefile ===
# Makefile :-- install esk.
# Copyright (C) 2010 Tom Kazimiers (tom AT voodoo-arts.net)
# Based on the Makefile of emp latex package by Thorsten Ohl
# (Thorsten.Ohl@Physik.TH-Darmstadt.de)
#
# Esk is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Esk is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.0 2010/02/25 21:14:41 kazimiers Exp $
#
########################################################################

VERSION = 1
RELEASE = 0
STATUS  = WIP

########################################################################

# Directories
prefix = $(HOME)
texdir = $(prefix)/texmf/inputs
docdir = $(texdir)/doc

# Commands
INSTALL = install -c -m 755
INSTALL_DATA = install -c -m 644
# INSTALL = cp
# INSTALL_DATA = cp

LATEX = latex
SK = sketch
MAKEINDEX = makeindex
DVIPS = dvips
DFLAGS =
FILES="*.sk"

########################################################################
# No user serviceable parts below:
########################################################################

RESOLVE_XREF = \
  $(LATEX) $*.drv && \
  while grep 'Rerun to get cross-references right\.' $*.log; \
  do \
    $(LATEX) $*.drv; \
  done

RUN_MAKEINDEX = \
  $(MAKEINDEX) -s gind.ist -o $*.ind $*.idx && \
  $(MAKEINDEX) -s gglo.ist -o $*.gls $*.glo

all: esk.sty esk.drv

man: eskman.ps

ps: esk.ps

dvi: esk.dvi

install: all
	$(INSTALL_DATA) esk.sty $(texdir)

install.doc: all
	$(INSTALL_DATA) esk.dtx $(docdir)
	$(INSTALL_DATA) esk.drv $(docdir)
	$(INSTALL_DATA) eskman.drv $(docdir)

uninstall:
	rm -f $(texdir)/esk.sty

uninstall.doc:
	rm -f $(docdir)/esk.dtx
	rm -f $(docdir)/esk.drv
	rm -f $(docdir)/eskman.drv

esk.sty: esk.dtx esk.ins
	$(LATEX) esk.ins

esk.drv eskman.drv: esk.sty

esk.dvi: esk.dtx esk.drv esk.sty
	-$(LATEX) $*.drv
	for i in `ls *.sk`; do \
		($(SK) -o "$$i.tex" "$$i" && \
		cut -d "%" -f1 <"$$i.tex" >"$$i.tex.tmp" && \
		rm "$$i.tex" && \
		mv "$$i.tex.tmp" "$$i.tex") \
	done
	-$(LATEX) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF)

eskman.ps: eskman.dvi
	dvips eskman.dvi -o

eskman.dvi: esk.dtx eskman.drv esk.sty
	-$(LATEX) $*.drv
	# call sketch, e. g. convert the sketch code to tex
	# unfortunately Sketch produces comments, that is a
	# problem because DTX is used and a single %  sign
	# there has a meaning. Thus substitude each % sign
	# with a %% sign:
	for i in `ls *.sk`; do \
		($(SK) -o "$$i.tex" "$$i" && \
		cut -d "%" -f1 <"$$i.tex" >"$$i.tex.tmp" && \
		rm "$$i.tex" && \
		mv "$$i.tex.tmp" "$$i.tex") \
	done
	-$(LATEX) $*.drv
	pdflatex $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF)

manual.ps.gz: manual.ps
	gzip < $< > $@

manual.ps: eskman.dvi $(MANPICS)
	$(DVIPS) $(DFLAGS) -o $@ $<

esk.ps: esk.dvi $(MANPICS)
	$(DVIPS) $(DFLAGS) -o $@ $<

clean:
	rm -f *.mp *.rawmp *.[0-9]* \
	      *.log *.dvi *.aux *.toc *.ilg *.glo *.gls *.idx *.ind \
	      *.ps *.mpx '#*#' *~ .*~

realclean: clean
	rm -f esk.sty esk.drv eskman*

distclean: realclean

########################################################################
# Maintenance:

DISTFILES = /usr/local/etc/COPYING README Makefile esk.dtx esk.ins

distdir = esk-$(VERSION).$(RELEASE)$(STATUS)
CVSTAG = ESK_$(VERSION)_$(RELEASE)$(STATUS)
TEXTAG = v$(VERSION).$(RELEASE)
M =

fileversion:
	perl -pe \
	  's/^\\def\\fileversion\{.*\}/\\def\\fileversion{$(TEXTAG)}/;' \
	  esk.dtx > esk.vtmp
	if cmp -s esk.dtx esk.vtmp; then \
	  rm -f esk.vtmp; \
	else \
	  mv esk.vtmp esk.dtx; \
	fi

dist: $(distdir).tar.gz
snap: esk-current.tar.gz

$(distdir).tar.gz:
	rm -fr $(distdir) $(distdir).tmp
	mkdir $(distdir)
	(cd ./$(distdir).tmp && \
         make $(DISTFILES) && \
         cp $(DISTFILES) ../$(distdir))
	tar cf - $(distdir) | gzip > $@
	rm -fr $(distdir) $(distdir).tmp

esk-current.tar.gz: $(DISTFILES) fileversion
	rm -fr esk-current
	mkdir esk-current
	touch esk-current/1_THIS_IS_A_SNAPSHOT_OF_
	touch esk-current/2_WORK_IN_PROGRESS_AND__
	touch esk-current/3_NOT_YET_RELEASED_CODE_
	cp $(DISTFILES) esk-current
#	perl -pe \
#	  's/\[\\filedate/[(UNRELEASED and UNSUPPORTED snapshot)/;' \
	  esk.dtx > esk-current/esk.dtx
	tar cf - esk-current | gzip > $@
	rm -fr esk-current

########################################################################
# Local Variables:
# mode:text
# End:

=== texmf-dist/source/luatex/luaotfload/Makefile ===
# Makefile for luaotfload

NAME		= luaotfload

DOCSRCDIR	= ./doc
SCRIPTSRCDIR	= ./scripts
SRCSRCDIR	= ./src
BUILDDIR	= ./build
MISCDIR		= ./misc

SRC		= $(wildcard $(SRCSRCDIR)/luaotfload-*.lua)
SRC		+= $(SRCSRCDIR)/luaotfload.sty
SRC		+= $(MISCDIR)/luaotfload-blacklist.cnf

VGND		= $(MISCDIR)/valgrind-kpse-suppression.sup
CONFDEMO	= $(MISCDIR)/luaotfload.conf.example

GLYPHSCRIPT	= $(SCRIPTSRCDIR)/mkglyphlist
CHARSCRIPT	= $(SCRIPTSRCDIR)/mkcharacters
STATUSSCRIPT	= $(SCRIPTSRCDIR)/mkstatus

GLYPHSOURCE	= $(BUILDDIR)/glyphlist.txt

RESOURCESCRIPTS = $(GLYPHSCRIPT) $(CHARSCRIPT) $(STATUSSCRIPT)

TOOLNAME	= luaotfload-tool
TOOL		= $(SRCSRCDIR)/$(TOOLNAME).lua

CONFNAME	= luaotfload.conf

GRAPH		= filegraph
DOCSRC		= $(addprefix $(DOCSRCDIR)/$(NAME), -main.tex -latex.tex)
GRAPHSRC	= $(DOCSRCDIR)/$(GRAPH).dot
MANSRC		= $(DOCSRCDIR)/$(TOOLNAME).rst $(DOCSRCDIR)/$(CONFNAME).rst

DOCPDF		= $(DOCSRCDIR)/$(NAME).pdf
DOTPDF		= $(DOCSRCDIR)/$(GRAPH).pdf
TOOLMAN 	= $(DOCSRCDIR)/$(TOOLNAME).1
CONFMAN		= $(DOCSRCDIR)/$(CONFNAME).5
MANPAGES	= $(TOOLMAN) $(CONFMAN)

DOCS		= $(DOCPDF) $(DOTPDF) $(MANPAGES)

# Files grouped by generation mode
GLYPHS		= $(BUILDDIR)/$(NAME)-glyphlist.lua
CHARS		= $(BUILDDIR)/$(NAME)-characters.lua
STATUS		= $(BUILDDIR)/$(NAME)-status.lua
RESOURCES	= $(GLYPHS) $(CHARS) $(STATUS)
SOURCE		= $(DOCSRC) $(MANSRC) $(SRC) README COPYING Makefile NEWS $(RESOURCESCRIPTS)

# Files grouped by installation location
SCRIPTSTATUS	= $(TOOL) $(RESOURCESCRIPTS)
RUNSTATUS	= $(filter-out $(SCRIPTSTATUS),$(SRC))
DOCSTATUS	= $(DOCPDF) $(DOTPDF) README NEWS COPYING
SRCSTATUS	= $(DOCSRC) $(MANSRC) $(GRAPHSRC) Makefile

# The following definitions should be equivalent
# ALL_STATUS = $(RUNSTATUS) $(DOCSTATUS) $(SRCSTATUS)
ALL_STATUS 	= $(RESOURCES) $(SOURCE)

# Installation locations
FORMAT 		= luatex
SCRIPTDIR	= $(TEXMFROOT)/scripts/$(NAME)
RUNDIR		= $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR		= $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
MAN1DIR		= $(TEXMFROOT)/doc/man/man1/
MAN5DIR		= $(TEXMFROOT)/doc/man/man5/
SRCDIR		= $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT	= $(shell kpsewhich --var-value TEXMFHOME)

# CTAN-friendly subdirectory for packaging
DISTDIR		= $(BUILDDIR)/$(NAME)

CTAN_ZIPFILE	= $(NAME).zip
CTAN_ZIPSIG	= $(BUILDDIR)/$(CTAN_ZIPFILE).asc
TDS_ZIPFILE	= $(NAME).tds.zip
CTAN_ZIP	= $(BUILDDIR)/$(CTAN_ZIPFILE)
TDS_ZIP		= $(BUILDDIR)/$(TDS_ZIPFILE)
ZIPS		= $(CTAN_ZIP) $(TDS_ZIP)

LUA		= texlua

## For now the $(BUILDDIR) is hardcoded in the scripts
## but we might just as well pass it to them by as environment
## variables.
DO_GLYPHS	= $(LUA) $(GLYPHSCRIPT) > /dev/null
DO_CHARS	= $(LUA) $(CHARSCRIPT)  > /dev/null
DO_STATUS	= $(LUA) $(STATUSSCRIPT)  > /dev/null

define check-lua-files
@echo validating syntax
@for f in $$(find . -name '*.lua') ; do	\
  echo -n checking $$f ...;		\
  if texluac -p $$f &>/dev/null; then	\
    echo -e " \e[1;32mgood.\e[m";	\
  else					\
    echo -e " \e[1;31mBAD.\e[m";	\
    exit 1;				\
  fi;					\
done
endef

show: showtargets
check:
	$(check-lua-files)

all: ctan
builddir: $(BUILDDIR)
resources: $(RESOURCES)
chars: $(CHARS)
status: $(STATUS)
ctan: $(CTAN_ZIP)
tds: $(TDS_ZIP)

graph: $(DOTPDF)
doc: $(DOCS)
pdf: $(DOCPDF)
manual: $(MANPAGES)

$(DOTPDF):
	@$(MAKE) -C $(DOCSRCDIR) graph

$(DOCPDF):
	@$(MAKE) -C $(DOCSRCDIR) doc

$(MANPAGES):
	@$(MAKE) -C $(DOCSRCDIR) manuals

$(GLYPHS): builddir
	$(DO_GLYPHS)

$(CHARS): builddir
	$(DO_CHARS)

$(STATUS): builddir
	$(DO_STATUS)

$(BUILDDIR): /dev/null
	mkdir -p $(BUILDDIR)

define make-ctandir
@$(RM) -rf -- $(DISTDIR)
@mkdir -p $(DISTDIR) && cp $(RESOURCES) $(DOCPDF) $(VGND) $(CONFDEMO) $(SOURCE) $(DISTDIR)
endef

$(CTAN_ZIP): $(DOCS) $(SOURCE) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	$(make-ctandir)
	cd $(BUILDDIR) && zip -r -9 $(CTAN_ZIPFILE) $(TDS_ZIPFILE) $(NAME) >/dev/null

$(CTAN_ZIPSIG): $(CTAN_ZIP)
	@echo "Signing package $(CTAN_ZIP)"
	@$(RM) -- $@
	@gpg --batch --armor --detach-sign "$(CTAN_ZIP)"

define run-install-doc
@mkdir -p $(DOCDIR) && cp -- $(DOCSTATUS) $(VGND) $(CONFDEMO) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp -- $(SRCSTATUS) $(SRCDIR)
@mkdir -p $(MAN1DIR) && cp -- $(TOOLMAN) $(MAN1DIR)
@mkdir -p $(MAN5DIR) && cp -- $(CONFMAN) $(MAN5DIR)
endef

define run-install
@mkdir -p $(SCRIPTDIR) && cp -- $(SCRIPTSTATUS) $(SCRIPTDIR)
@mkdir -p $(RUNDIR)    && cp -- $(RESOURCES) $(RUNSTATUS) $(RUNDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(DOCS) $(ALL_STATUS) check
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install-doc)
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

sign: $(CTAN_ZIPSIG)

.PHONY: install manifest clean mrproper show showtargets check

install: $(ALL_STATUS)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install-docs)
	$(run-install)

manifest:
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

CLEANEXTS	= log aux toc idx ind ilg out
CLEANME		= $(foreach ext,$(CLEANEXTS),$(wildcard *.$(ext)))
CLEANME		+= $(foreach ext,$(CLEANEXTS),$(wildcard $(BUILDDIR)/*$(ext)))

clean:
	$(MAKE) -C $(DOCSRCDIR) $@
	@$(RM) -- $(CLEANME)

mrproper: clean
	$(MAKE) -C $(DOCSRCDIR) $@
	@$(RM) -- $(GENERATED) $(ZIPS) $(GLYPHSOURCE)
	@$(RM) -r -- $(BUILDDIR)

###############################################################################
showtargets:
	@echo "Available targets:"
	@echo
	@echo "       check       check Lua files for syntax errors"
	@echo
	@echo "       doc         compile PDF documentation"
	@echo "       resources   generate resource files (chars, glyphs)"
	@echo
	@echo "       pdf         build luaotfload.pdf"
	@echo "       manual      crate manpages for luaotfload-tool(1) and"
	@echo "                   luaotfload.conf(5) (requires Docutils)"
	@echo "       graph       generate file graph (requires GraphViz)"
	@echo
	@echo "       chars       import char-def.lua as luaotfload-characters.lua"
	@echo "       status      create repository info (luaotfload-status.lua)"
	@echo
	@echo "       tds         package a zipball according to the TDS"
	@echo "       ctan        package a zipball for uploading to CTAN"
	@echo "       sign        sign zipball"
	@echo

# vim:noexpandtab:tabstop=8:shiftwidth=2

=== texmf-dist/doc/latex/tkz-base/examples/Makefile ===
all: doc

doc:
	for datei in $$(ls *tex | cut -d \. -f 1) ; do make $$datei.pdf ; done

%.pdf: %.tex
	pdflatex --shell-escape $*.tex

=== texmf-dist/doc/metapost/base/source-manual/Makefile ===
# Makefile for MetaPost documentation.  Public domain.
# Rules for the groff/troff docs are in TeX Live,
# texmf-dist/doc/metapost/base/Makefile.

RM = -rm -f
latex = latex
pdflatex = pdflatex
contextpdf = texexec
contextdvi = texexec --dvi
dvips = dvips
bibtex = bibtex
mpost = mpost -tex=tex
mkindex = makeindex -c -s mpman.ist

all: pdf
pdf: mpman.pdf mpgraph.pdf mpboxes.pdf mplibapi.pdf
ps: mpman.ps mpgraph.ps mpboxes.ps mplibapi.ps

mplibapi.pdf: mplibapi.tex
	mv -f mpgraph.mp mpgraph.saved
	$(contextpdf) mplibapi
	mv -f mpgraph.saved mpgraph.mp

mpboxes.pdf: mpboxes.tex mpboxes.bib mpboxes.mp
	$(mpost) mpboxes
	$(pdflatex) mpboxes
	$(bibtex) mpboxes
	$(pdflatex) mpboxes
	$(mkindex) mpboxes
	$(pdflatex) mpboxes

mpgraph.pdf: mpgraph.tex mpgraph.bib mpgraph.mp
	$(mpost) mpgraph
	$(pdflatex) mpgraph
	$(bibtex) mpgraph
	$(pdflatex) mpgraph
	$(pdflatex) mpgraph

mpman.pdf: mpman.tex mpman-app-legacy.tex mpman-app-optab.tex mpman-app-refman.tex mpman-app-numbersystems.tex mpman.bib mpman.ist mpman.mp charts.mp mpman-charts.mp
	$(mpost) mpman
	$(mpost) mpman-charts
	$(pdflatex) mpman
	$(bibtex) mpman
	$(pdflatex) mpman
	$(pdflatex) mpman
	$(mkindex) mpman
	$(pdflatex) mpman

mplibapi.ps: mplibapi.tex
	mv -f mpgraph.mp mpgraph.saved
	$(contextdvi) mplibapi
	mv -f mpgraph.saved mpgraph.mp
	$(dvips) mplibapi

mpboxes.ps: mpboxes.tex mpboxes.bib mpboxes.mp
	$(mpost) mpboxes
	$(latex) mpboxes
	$(bibtex) mpboxes
	$(latex) mpboxes
	$(latex) mpboxes
	$(mkindex) mpboxes
	$(latex) mpboxes
	$(dvips) mpboxes

mpgraph.ps: mpgraph.tex mpgraph.bib mpgraph.mp
	$(mpost) mpgraph
	$(latex) mpgraph
	$(bibtex) mpgraph
	$(latex) mpgraph
	$(latex) mpgraph
	$(dvips) mpgraph

mpman.ps: mpman.tex mpman-app-legacy.tex mpman-app-optab.tex mpman-app-refman.tex mpman.bib mpman.ist mpman.mp charts.mp mpman-charts.mp
	$(mpost) mpman
	$(mpost) mpman-charts
	$(latex) mpman
	$(bibtex) mpman
	$(latex) mpman
	$(latex) mpman
	$(mkindex) mpman
	$(latex) mpman
	$(dvips) mpman

clean:
	$(RM) *.aux *.bbl *.blg *.dvi *.idx *.ilg *.ind *.log *.mps *.mpx *.out *.toc mpxerr.*
	$(RM) *.tui *.tuo *.tmp *-mpgraph.mp

distclean: clean
	$(RM) mp*.pdf mp*.ps

=== texmf-dist/doc/generic/pgf/version-for-luatex/en/Makefile ===
rerun = "(There were undefined references|Rerun to get (cross-references|the bars) right)"
doc   = pgfmanual
latex = lualatex
TEXINPUTS := ../../text-en:../../images:$(TEXINPUTS)

all: $(doc).pdf

dist: FORCE
	$(latex) --jobname=pgfmanual '\def\pgfautoxrefs{1}\pdfminorversion=5 \pdfobjcompresslevel=2 \input{$(doc)}'
	makeindex $(doc).idx
	@echo "$(doc).pdf remade with auto-xref support. Check if auto-xrefs work and rerun make dist if not."

pgfmanual.idx: 
	touch pgfmanual.idx

pgfmanual.ind: pgfmanual.idx 
	makeindex $(doc).idx

pgfmanual.pdf: $(doc).tex $(doc).ind 
	TEXINPUTS="$(TEXINPUTS)" $(latex) '$(linkcode)' $(doc).tex
	(egrep -q $(rerun) $(doc).log && TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc).tex) || true
	@echo "Use 'make dist' to generate auto-xrefs."

test: $(doc)-test.tex $(doc).ind 
	TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc)-test.tex
	(egrep -q $(rerun) $(doc).log && TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc)-test.tex) || true
	@echo "Use 'make dist' to generate auto-xrefs."

FORCE:

clean:
	rm -f  \
		plots/* \
		pgfmanual.out \
		pgfmanual.log \
		pgfmanual.idx \
		pgfmanual.ind \
		pgfmanual.ilg \
		pgfmanual.pdf \
		pgfmanual.toc \
		pgfmanual.bbl \
		pgfmanual.blg \
		pgfmanual.ps \
		pgfmanual.dvi \
		pgfmanual*.aux

=== texmf-dist/source/latex/koma-script/doc/ngerman/Makefile ===
# ======================================================================
# Makefile
# Copyright (c) Markus Kohm, 2002-2012
#
# This file is part of the LaTeX2e KOMA-Script bundle.
#
# This work may be distributed and/or modified under the conditions of
# the LaTeX Project Public License, version 1.3c of the license.
# The latest version of this license is in
#   http://www.latex-project.org/lppl.txt
# and version 1.3c or later is part of all distributions of LaTeX 
# version 2005/12/01 or later and of this work.
#
# This work has the LPPL maintenance status "author-maintained".
#
# The Current Maintainer and author of this work is Markus Kohm.
#
# This work consists of all files listed in manifest.txt.
# ----------------------------------------------------------------------
# Makefile
# Copyright (c) Markus Kohm, 2002-2012
#
# Dieses Werk darf nach den Bedingungen der LaTeX Project Public Lizenz,
# Version 1.3c, verteilt und/oder veraendert werden.
# Die neuste Version dieser Lizenz ist
#   http://www.latex-project.org/lppl.txt
# und Version 1.3c ist Teil aller Verteilungen von LaTeX
# Version 2005/12/01 oder spaeter und dieses Werks.
#
# Dieses Werk hat den LPPL-Verwaltungs-Status "author-maintained"
# (allein durch den Autor verwaltet).
#
# Der Aktuelle Verwalter und Autor dieses Werkes ist Markus Kohm.
# 
# Dieses Werk besteht aus den in manifest.txt aufgefuehrten Dateien.
# ======================================================================

# ----------------------------------------------------------------------
# Directory with basics
BASEDIR	?= $(PWD)/../../
DOCDIR = $(BASEDIR)doc/
# language
LANGUAGE         = ngerman
LANGUAGESHORTCUT = de
LANGUAGELONG     = ngerman

include $(DOCDIR)/Makefile.guide

#
# end of file `Makefile'

=== debian/changelog ===
texlive-base (2014.20141024-2+deb8u1) jessie-security; urgency=high

  * remove mpost from list of shell_escape_commands (CVE-2016-10243)

 -- Norbert Preining <preining@debian.org>  Mon, 06 Mar 2017 09:00:57 +0900

texlive-base (2014.20141024-2) unstable; urgency=medium

  * texlive-xetex (polyglossia) needs texlive-latex-extra (Closes: #767887)
  * update of the latex core: only documentation updates
  * update of tools package: fixes a serious bug
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Tue, 02 Dec 2014 22:34:13 +0900

texlive-base (2014.20141024-1) unstable; urgency=medium

  * new upstream checkout
  * add pt_BR translation (Closes: #766110)

 -- Norbert Preining <preining@debian.org>  Fri, 24 Oct 2014 11:01:39 +0900

texlive-base (2014.20140927-1) unstable; urgency=medium

  * new upstream checkout: fix breqn missing file (Closes: #761513)

 -- Norbert Preining <preining@debian.org>  Sat, 27 Sep 2014 20:50:54 +0900

texlive-base (2014.20140821-1) unstable; urgency=medium

  * new upstream checkout: fix luaotfload-tool (Closes: #755751)
  * add replaces/breaks for doc.html move from tl-doc-base -> tl-base
    (Closes: #756618)
  * include Turkish translation of texlive-base debconf (Closes: #757502)
  * tl-latex-recommended suggests tl-pstricks (seminar) (Closes: #757480)

 -- Norbert Preining <preining@debian.org>  Thu, 21 Aug 2014 15:04:03 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 5), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.6
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Depends: ucf, xdg-utils, texlive-binaries (>= 2014.20140512.33982), libpaper-utils, tex-common (>= 5), ${misc:Depends}
Conflicts: texlive-doc-ar (<< 2013), texlive-lang-all (<< 2014), latex-sanskrit (<< 2014), texlive-science-doc (<< 2014), texlive-lang-armenian (<< 2014), texlive-lang-dutch (<< 2014), texlive-doc-fr (<< 2014), texlive-binaries (<< 2014.20140512.33982), texlive-doc-it (<< 2013), texlive-publishers-doc (<< 2014), texlive-doc-ar (<< 2014), texlive-doc-tr (<< 2013), texlive-doc-de (<< 2014), texlive-doc-fr (<< 2013), texlive-lang-latin (<< 2013), texlive-latex-recommended-doc (<< 2014), texlive-doc-mn (<< 2014), texlive-lang-swedish (<< 2013), texlive-luatex (<< 2014), texlive-doc-pt (<< 2014), thailatex (<< 2014), texlive-lang-norwegian (<< 2014), texlive-music (<< 2014), texlive-doc-cs+sk (<< 2013), texlive-lang-portuguese (<< 2014), texlive-doc-ko (<< 2013), texlive-doc-bg (<< 2013), texlive-lang-vietnamese (<< 2013), texlive-lang-korean (<< 2014), texlive-lang-japanese (<< 2014), texlive-doc-es (<< 2013), texlive-doc-pl (<< 2013), texlive-lang-dutch (<< 2013), texlive-lang-latvian (<< 2014), texlive-doc-de (<< 2013), texlive-games (<< 2014), texlive-plain-extra (<< 2014), texlive-lang-tibetan (<< 2013), texlive-full (<< 2014), texlive (<< 2014), texlive-doc-en (<< 2013), texlive-lang-indic (<< 2014), texlive-lang-czechslovak (<< 2014), texlive-lang-latvian (<< 2013), texlive-doc-ja (<< 2013), texlive-science (<< 2014), texlive-latex-extra-doc (<< 2014), texlive-doc-bg (<< 2014), texlive-lang-finnish (<< 2013), texlive-doc-cs+sk (<< 2014), texlive-lang-german (<< 2014), texlive-lang-norwegian (<< 2013), texlive-latex-extra (<< 2014), texlive-generic-extra (<< 2014), texlive-pictures-doc (<< 2014), texlive-doc-rs (<< 2013), ptex-bin (<< 2014), texlive-lang-latin (<< 2014), texlive-lang-armenian (<< 2013), texlive-common, texlive-lang-spanish (<< 2014), texlive-doc-uk (<< 2014), texlive-lang-arabic (<< 2014), texlive-lang-tibetan (<< 2014), texlive-doc-th (<< 2014), latex-xcolor (<< 2014), texlive-doc-fi (<< 2014), texlive-base (<< 2014), texlive-doc-ko (<< 2014), texlive-latex3 (<< 2014), texlive-doc-en (<< 2014), texlive-humanities (<< 2014), texpower (<< 2014), texlive-doc-ru (<< 2014), texlive-latex-recommended (<< 2014), texlive-lang-mongolian (<< 2013), texlive-pstricks-doc (<< 2014), texlive-doc-rs (<< 2014), texlive-metapost (<< 2014), texlive-lang-danish (<< 2013), pgf (<< 2014), texlive-doc-mn (<< 2013), texlive-lang-hungarian (<< 2013), texlive-formats-extra (<< 2014), texlive-doc-tr (<< 2014), texlive-metapost-doc (<< 2014), texlive-extra-utils (<< 2014), texlive-doc-ru (<< 2013), texlive-font-utils (<< 2014), texlive-lang-italian (<< 2014), texlive-doc-vi (<< 2013), texlive-latex-base (<< 2014), texlive-doc-ja (<< 2014), texlive-pstricks (<< 2014), latex-beamer (<< 2014), texlive-pictures (<< 2014), texlive-bibtex-extra (<< 2014), texlive-doc-vi (<< 2014), texlive-fonts-extra-doc (<< 2014), texlive-generic-recommended (<< 2014), texlive-doc-base, texlive-lang-french (<< 2014), texlive-lang-hebrew (<< 2014), texlive-doc-uk (<< 2013), texlive-doc-si (<< 2014), texlive-lang-hebrew (<< 2013), texlive-doc-pt (<< 2013), texlive-omega (<< 2014), texlive-doc-th (<< 2013), texlive-lang-other (<< 2014), texlive-lang-cjk (<< 2014), texlive-lang-mongolian (<< 2014), texlive-publishers (<< 2014), texlive-lang-croatian (<< 2013), texlive-doc-zh (<< 2014), texlive-math-extra (<< 2014), texlive-lang-polish (<< 2014), texlive-fonts-extra (<< 2014), texlive-lang-chinese (<< 2014), texlive-lang-danish (<< 2014), texlive-lang-english (<< 2014), pdfjam (<< 2014), texlive-latex-base-doc (<< 2014), texlive-lang-lithuanian (<< 2014), texlive-lang-european (<< 2014), texlive-lang-hungarian (<< 2014), texlive-humanities-doc (<< 2014), texlive-lang-african (<< 2014), texlive-lang-greek (<< 2014), texlive-doc-si (<< 2013), texlive-lang-lithuanian (<< 2013), texlive-lang-cyrillic (<< 2014), texlive-doc-es (<< 2014), texlive-xetex (<< 2014), texlive-doc-nl (<< 2014), texlive-doc-zh (<< 2013), texlive-doc-nl (<< 2013), texlive-doc-fi (<< 2013), texlive-lang-finnish (<< 2014), texlive-lang-vietnamese (<< 2014), texlive-fonts-recommended-doc (<< 2014), texlive-fonts-recommended (<< 2014), texlive-doc-it (<< 2014), texlive-doc-pl (<< 2014), texlive-lang-swedish (<< 2014), texlive-lang-croatian (<< 2014)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: perl-tk, gv | postscript-viewer, ghostscript, xpdf-reader | pdf-viewer
Replaces: texlive-binaries (<< 2013), texlive-doc-en (<< 2013), texlive-common (<< 2013), texlive-doc-base (<< 2013), context (<< 2012.05.30.20121209)
Breaks: texlive-doc-base (<< 2013), context (<< 2012.05.30.20121209), texlive-omega (<< 2013.20140325)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society.
 .
 bibtex -- Process bibliographies for LaTeX, etc.
 .
 cm -- Computer Modern fonts.
 .
 dvipdfmx -- An extended version of dvipdfm.
 .
 dvipdfmx-def -- Configuration file for dvipdfmx graphics.
 .
 dvips -- A DVI to PostScript driver.
 .
 enctex -- A TeX extension that translates input on its way into TeX.
 .
 etex -- An extended version of TeX, from the NTS project.
 .
 etex-pkg -- E-TeX support package.
 .
 glyphlist --
 .
 gsftopk -- Convert "ghostscript fonts" to PK files.
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8.
 .
 hyphen-base --
 .
 ifluatex -- Provides the \ifluatex switch.
 .
 ifxetex -- Am I running under XeTeX?
 .
 knuth-lib -- A small library of MetaFont sources.
 .
 knuth-local -- Knuth's local information.
 .
 kpathsea -- Path searching library for TeX-related files.
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long.
 .
 luatex -- The LuaTeX engine.
 .
 makeindex -- Process index output to produce typesettable code.
 .
 metafont -- A system for specifying fonts.
 .
 mflogo -- LaTeX support for Metafont logo fonts.
 .
 mfware -- Supporting tools for use with Metafont.
 .
 pdftex -- A TeX extension for direct creation of PDF.
 .
 plain -- The Plain TeX format.
 .
 tetex -- scripts and files originally written for or included in teTeX
 .
 tex -- A sophisticated typesetting engine.
 .
 texconfig --
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 xdvi -- A DVI previewer for the X Window System.
 .
 texdoc -- Documentation access for TeX distributions.

Package: texlive-generic-recommended
Architecture: all
Depends: texlive-base (>= 2014), texlive-base (>= 2014), ${misc:Depends}
Breaks: texlive-base (<< 2014)
Description: TeX Live: Generic recommended packages
 Recommended packages that work with multiple formats.
 .
 This package includes the following CTAN packages:
 .
 epsf -- Simple macros for EPS inclusion.
 .
 fontname -- Scheme for naming fonts in TeX.
 .
 genmisc --
 .
 kastrup -- Convert numbers into binary, octal and hexadecimal.
 .
 multido -- A loop facility for Generic TeX.
 .
 path -- Typeset paths, making them breakable.
 .
 tex-ps -- TeX to PostScript generic macros and add-ons.
 .
 ulem -- Package for underlining.

Package: texlive-latex-base
Architecture: all
Depends: texlive-binaries (>= 2014.20140512.33982), texlive-base (>= 2014), texlive-base (>= 2014), ${misc:Depends}
Recommends: texlive-latex-base-doc
Replaces: texlive-latex-recommended (<< 2013.20140227)
Breaks: texlive-base (<< 2014)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts.
 .
 amscls -- AMS document classes for LaTeX.
 .
 amsmath -- AMS mathematical facilities for LaTeX.
 .
 babel -- Multilingual support for Plain TeX or LaTeX.
 .
 babel-english -- Babel support for English.
 .
 babelbib -- Multilingual bibliographies.
 .
 carlisle -- David Carlisle's small packages.
 .
 colortbl -- Add colour to LaTeX tables.
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e.
 .
 fix2col -- Fix miscellaneous two column mode features.
 .
 geometry -- Flexible and complete interface to document dimensions.
 .
 graphics -- Standard LaTeX graphics.
 .
 hyperref -- Extensive support for hypertext in LaTeX.
 .
 latex -- A TeX macro package that defines LaTeX.
 .
 latex-bin -- LaTeX executables and man pages.
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions.
 .
 latexconfig --
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc.
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX.
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support.
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek.
 .
 pdftex-def -- Colour and Graphics support for PDFTeX.
 .
 pslatex -- Use PostScript fonts by default.
 .
 psnfss -- Font support for common PostScript fonts.
 .
 pspicture -- PostScript picture support.
 .
 tools -- The LaTeX standard tools bundle.
 .
 url -- Verbatim with URL-sensitive line breaks.

Package: texlive-latex-recommended
Architecture: all
Depends: texlive-binaries (>= 2014.20140512.33982), texlive-base (>= 2014), texlive-latex-base (>= 2014), ${misc:Depends}
Recommends: prosper (>= 1.00.4+cvs.2006.10.22), texlive-latex-recommended-doc
Provides: latex-xcolor, latex-beamer, texlive-latex3
Suggests: texlive-pstricks
Replaces: texlive-humanities (<< 2014.20140907)
Breaks: texlive-base (<< 2014), texlive-latex-base (<< 2013.20140227)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins.
 .
 beamer -- A LaTeX class for producing presentations and slides.
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations.
 .
 caption -- Customising captions in floating environments.
 .
 cite -- Improved citation handling in LaTeX.
 .
 cmap -- Make PDF files searchable and copyable.
 .
 crop -- Support for cropmarks.
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
 directives.
 .
 eso-pic -- Add picture commands (or backgrounds) to every page.
 .
 euler -- Use AMS Euler fonts for math.
 .
 extsizes -- Extend the standard classes' size options.
 .
 fancybox -- Variants of \fbox and other games with boxes.
 .
 fancyref -- A LaTeX package for fancy cross-referencing.
 .
 fancyvrb -- Sophisticated verbatim text.
 .
 float -- Improved interface for floating objects.
 .
 fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX.
 .
 fp -- Fixed point arithmetic.
 .
 index -- Extended index for LaTeX including multiple indexes.
 .
 jknapltx -- Miscellaneous packages by Joerg Knappen.
 .
 koma-script -- A bundle of versatile classes and packages
 .
 l3kernel -- LaTeX3 programming conventions.
 .
 l3packages -- High-level LaTeX3 concepts.
 .
 l3experimental -- Experimental LaTeX3 concepts.
 .
 lineno -- Line numbers on paragraphs.
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full pgf latex-beamer latex-xcolor

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done
	rm -f debian/texlive-base.cnf
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/fix-jquery-inclusion  $$i ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done
	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	# link pfb/afm files (type1 fonts) into /usr/share/fonts
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian
	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A --priority=10	\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=lsr:full,tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --priority=10	\
		--flavor=format:build_all,lsr:full,tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo
	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info
	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
